from parallels.core.utils.entity import Entity


class DnsRecord(Entity):
    def __init__(self, dns_record_id, dns_zone_id, dns_record_type, host, value, opt):
        self._dns_record_id = dns_record_id
        self._dns_zone_id = dns_zone_id
        self._dns_record_type = dns_record_type
        self._host = host
        self._value = value
        self._opt = opt

    @property
    def dns_record_id(self):
        """
        :rtype: str | unicode
        """
        return self._dns_record_id

    @property
    def dns_zone_id(self):
        """
        :rtype: str | unicode
        """
        return self._dns_zone_id

    @property
    def dns_record_type(self):
        """
        :rtype: str | unicode
        """
        return self._dns_record_type

    @property
    def host(self):
        """
        :rtype: str | unicode
        """
        return self._host

    @property
    def value(self):
        """
        :rtype: str | unicode
        """
        return self._value

    @property
    def opt(self):
        """
        :rtype: str | unicode
        """
        return self._opt
